Page MenuHomeFreeBSD

Porter's Handbook: Update USE_XORG component list
ClosedPublic

Authored by tobik on Mar 19 2019, 1:38 PM.

Details

Summary

It has been outdated since August 2018 when all *proto ports have
been folded into xorgproto. Component descriptions are auto-generated
from the underlying port's COMMENTs.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik created this revision.Mar 19 2019, 1:38 PM
tobik added inline comments.Mar 19 2019, 1:40 PM
en_US.ISO8859-1/books/porters-handbook/special/chapter.xml
1618–1630 ↗(On Diff #55231)

This looks weird, but I do not understand the difference between xaw,xaw6,xaw7. xaw6 is never used in the ports tree, xaw7 and xaw are identical, and all use x11-toolkits/libXaw.

1720–1726 ↗(On Diff #55231)

Same problem as with xaw.

mat added a comment.Mar 28 2019, 4:29 PM

Could you add in a comment before the table with a script to generate the list? There are other examples, like the one to generate the licenses list in makefiles/chapter.xml.

tobik updated this revision to Diff 55570.Mar 29 2019, 12:39 AM
  • Add script as a comment
mat accepted this revision.Mar 31 2019, 12:47 PM
This revision is now accepted and ready to land.Mar 31 2019, 12:47 PM
This revision was automatically updated to reflect the committed changes.